#!/usr/bin/env python3

"""Dumps all information on a particular eddy, specified by date_index
and eddy_index.

"""

import argparse
import shapefile
from os import path
import pprint
import sys

parser = argparse.ArgumentParser()
parser.add_argument("directory", help = "containing the three shapefiles")
args = parser.parse_args()

reply = input("date_index, eddy_index = ? ").split(",")
date_index = int(reply[0])
eddy_index = int(reply[1])

# Find ishape:

filename = path.join(args.directory, "extremum")

with shapefile.Reader(filename) as f:
    for ishape, rec in enumerate(f.iterRecords()):
        if rec["date_index"] == date_index and rec["eddy_index"] == eddy_index:
            break
    else:
        sys.exit("Not found")
        
for basename in ["extremum", "outermost_contour", "max_speed_contour"]:
    filename = path.join(args.directory, basename)
    
    with shapefile.Reader(filename) as f:
        shapeRec = f.shapeRecord(ishape)
        print("\n", filename, ":")

        if shapeRec.shape.shapeType == shapefile.NULL:
            dct = shapeRec.record.as_dict()
            pprint.pprint(dct)
            print("null shape")
        else:
            pprint.pprint(shapeRec.__geo_interface__)
